## rquantlib 0.4.26

=== DESCRIPTION ===
Package: RQuantLib
Title: R Interface to the 'QuantLib' Library
Version: 0.4.26
Date: 2025-04-24
Authors@R: c(person("Dirk", "Eddelbuettel", role = c("aut", "cre"), email = "edd@debian.org",
                    comment = c(ORCID = "0000-0001-6419-907X")),
             person("Khanh", "Nguyen", role = "aut", comment = "2009-2010"),
             person("Terry", "Leitch", role = "aut",
                    comment = c(ORCID = "0000-0003-1706-4070", "since 2016")))
Description: The 'RQuantLib' package makes parts of 'QuantLib' accessible from R
 The 'QuantLib' project aims to provide a comprehensive software framework
 for quantitative finance. The goal is to provide a standard open source library
 for quantitative analysis, modeling, trading, and risk management of financial
 assets.
Suggests: tinytest, rgl, shiny
Imports: methods, Rcpp (>= 0.11.0), stats, graphics, zoo
LinkingTo: Rcpp
SystemRequirements: QuantLib library (>= 1.25) from
        https://quantlib.org, Boost library from https://www.boost.org
License: GPL (>= 2)
URL: https://github.com/eddelbuettel/rquantlib,
        https://dirk.eddelbuettel.com/code/rquantlib.html
BugReports: https://github.com/eddelbuettel/rquantlib/issues
RoxygenNote: 6.0.1
LazyLoad: true
NeedsCompilation: yes
Packaged: 2025-04-24 10:58:03 UTC; edd
Author: Dirk Eddelbuettel [aut, cre] (<https://orcid.org/0000-0001-6419-907X>),
  Khanh Nguyen [aut] (2009-2010),
  Terry Leitch [aut] (<https://orcid.org/0000-0003-1706-4070>, since
    2016)
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Repository: CRAN
Date/Publication: 2025-04-24 12:40:02 UTC

=== debian/changelog ===
rquantlib (0.4.26-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 24 Apr 2025 17:19:52 -0500

=== debian/control ===
Source: rquantlib
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper-compat (= 13), dh-r, r-base-dev (>= 4.5.0), r-cran-rcpp (>= 0.11.0), libquantlib0-dev (>= 1.8), libboost-dev (>= 1.38.1), libboost-test-dev (>= 1.38.1), g++ (>= 4:5.2), r-cran-zoo
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/edd/r-cran-rquantlib
Vcs-Git: https://salsa.debian.org/edd/r-cran-rquantlib.git
Homepage: https://cran.r-project.org/package=RQuantLib

Package: r-cran-rquantlib
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${R:Depends}, r-cran-rcpp (>= 0.11.0), r-cran-zoo
Description: GNU R package interfacing the QuantLib finance library
 This CRAN package provides an interface for GNU R to the QuantLib 
 library for modeling, trading, and risk management of financial assets.

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-quantlib package
# Copyright 2003 - 2018 by Dirk Eddelbuettel <edd@debian.org>

makeFlags	:= "CXXFLAGS=-g0" 
ifneq "$(makeFlags)" ""
makeFlagsCall	:= MAKEFLAGS=$(makeFlags)
endif

%:
	dh $@ --buildsystem R

=== debian/watch ===
version=3
https://cran.r-project.org/src/contrib/RQuantLib_([\d\.]*)\.tar.gz
